> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-11/v11-1-0.md).

# Version 11.1.0 Changelog (November 27, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 11.1.0.84737

Release Date: November 27, 2024

## New Features

* Added a new flag for `setAlwaysDrawWithFingerAndStylus` to enable both stylus and finger to simultaneously draw

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 11.1.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## Fixes

* Fixed an issue with search results when switching between documents
* Fixed an issue where viewer tabs may close themselves

## APIs

### PDFViewCtrlTools package

#### ToolManagerBuilder

new method: `ToolManagerBuilder setAlwaysDrawWithFingerAndStylus(boolean)`

AnnotationDialogFragment

new static final field: `String BUNDLE_EXPORT_BUTTON_SPANNABLE_STRING`

new method: `void setAnnotationExportButtonText(CharSequence)`

BookmarksDialogFragment

new method: `void updateAnnotationExportButtonText(CharSequence)`

AnnotStyle

new static final field: `int CUSTOM_SMART_HIGHLIGHTER`

SmartHighlighter

new class: `SmartHighlighter`

new constructor: `SmartHighlighter(PDFViewCtrl)`

new method: `ToolModeBase getToolMode()`

new method: `boolean onDown(MotionEvent)`

new method: `void setupAnnotStyles(ArrayList<AnnotStyle>)`

SmartHighlighterText

new class: `SmartHighlighterText`

new constructor: `SmartHighlighterText(PDFViewCtrl)`

new method: `int getCreateAnnotType()`

new method: `ToolModeBase getToolMode()`

new method: `boolean onDown(MotionEvent)`

new method: `void setupAnnotStyles(ArrayList<AnnotStyle>)`

SmartPenInk

removed static field: `float sHORIZONTAL_THRESHOLD`

removed static field: `float sVERTICAL_THRESHOLD`

Tool

modified method: `RectF getTextSelectRect(float, float)`

|       | Declaration                                         |
| ----- | --------------------------------------------------- |
| From: | public RectF getTextSelectRect(float, float)        |
| To:   | public static RectF getTextSelectRect(float, float) |

ToolManager

new method: `boolean isAlwaysDrawWithFingerAndStylus()`

new method: `void setAlwaysDrawWithFingerAndStylus(boolean)`

ToolMode

new static final field: `ToolMode SMART_HIGHLIGHTER`

new static final field: `ToolMode SMART_HIGHLIGHTER_TEXT`

SmartToolHelper

new class: `SmartToolHelper`

new constructor: `SmartToolHelper(PDFViewCtrl)`

new static field: `float sHORIZONTAL_THRESHOLD`

new static field: `float sVERTICAL_THRESHOLD`

new method: `boolean isTextSelected(MotionEvent)`

ToolbarButtonType

new static final field: `ToolbarButtonType SMART_HIGHLIGHTER`

ButtonId

new static final field: `ButtonId SMART_HIGHLIGHTER`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-11/v11-1-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
